UbixOS V2 2.0

Data Fields
cg Struct Reference

`#include <fs.h>`

Collaboration diagram for cg:

## Data Fields
u_int32_t | cg_cgx
u_int32_t | cg_clusteroff
u_int32_t | cg_clustersumoff
struct csum | cg_cs
int32_t | cg_firstfield
u_int32_t | cg_freeoff
u_int32_t | cg_frotor
u_int32_t | cg_frsum [8]
u_int32_t | cg_initediblk
u_int32_t | cg_irotor
u_int32_t | cg_iusedoff
int32_t | cg_magic
u_int32_t | cg_nclusterblks
u_int32_t | cg_ndblk
u_int32_t | cg_nextfreeoff
u_int32_t | cg_niblk
int32_t | cg_old_boff
int32_t | cg_old_btotoff
int16_t | cg_old_ncyl
int16_t | cg_old_niblk
int32_t | cg_old_time
u_int32_t | cg_rotor
u_int8_t | cg_space [1]
int32_t | cg_sparecon32 [2]
int64_t | cg_sparecon64 [3]
ufs_time_t | cg_time
u_int32_t | cg_unrefs

## Detailed Description

Definition at line 473 of file fs.h.

## Field Documentation

## ◆ cg_cgx

u_int32_t cg::cg_cgx

Definition at line 477 of file fs.h.

## ◆ cg_clusteroff

u_int32_t cg::cg_clusteroff

Definition at line 492 of file fs.h.

## ◆ cg_clustersumoff

u_int32_t cg::cg_clustersumoff

Definition at line 491 of file fs.h.

## ◆ cg_cs

struct csum cg::cg_cs

Definition at line 481 of file fs.h.

## ◆ cg_firstfield

int32_t cg::cg_firstfield

Definition at line 474 of file fs.h.

## ◆ cg_freeoff

u_int32_t cg::cg_freeoff

Definition at line 489 of file fs.h.

## ◆ cg_frotor

u_int32_t cg::cg_frotor

Definition at line 483 of file fs.h.

## ◆ cg_frsum

u_int32_t cg::cg_frsum[8]

Definition at line 485 of file fs.h.

## ◆ cg_initediblk

u_int32_t cg::cg_initediblk

Definition at line 495 of file fs.h.

## ◆ cg_irotor

u_int32_t cg::cg_irotor

Definition at line 484 of file fs.h.

## ◆ cg_iusedoff

u_int32_t cg::cg_iusedoff

Definition at line 488 of file fs.h.

## ◆ cg_magic

int32_t cg::cg_magic

Definition at line 475 of file fs.h.

## ◆ cg_nclusterblks

u_int32_t cg::cg_nclusterblks

Definition at line 493 of file fs.h.

## ◆ cg_ndblk

u_int32_t cg::cg_ndblk

Definition at line 480 of file fs.h.

## ◆ cg_nextfreeoff

u_int32_t cg::cg_nextfreeoff

Definition at line 490 of file fs.h.

## ◆ cg_niblk

u_int32_t cg::cg_niblk

Definition at line 494 of file fs.h.

## ◆ cg_old_boff

int32_t cg::cg_old_boff

Definition at line 487 of file fs.h.

## ◆ cg_old_btotoff

int32_t cg::cg_old_btotoff

Definition at line 486 of file fs.h.

## ◆ cg_old_ncyl

int16_t cg::cg_old_ncyl

Definition at line 478 of file fs.h.

## ◆ cg_old_niblk

int16_t cg::cg_old_niblk

Definition at line 479 of file fs.h.

## ◆ cg_old_time

int32_t cg::cg_old_time

Definition at line 476 of file fs.h.

## ◆ cg_rotor

u_int32_t cg::cg_rotor

Definition at line 482 of file fs.h.

## ◆ cg_space

u_int8_t cg::cg_space[1]

Definition at line 500 of file fs.h.

## ◆ cg_sparecon32

int32_t cg::cg_sparecon32[2]

Definition at line 497 of file fs.h.

## ◆ cg_sparecon64

int64_t cg::cg_sparecon64[3]

Definition at line 499 of file fs.h.

## ◆ cg_time

ufs_time_t cg::cg_time

Definition at line 498 of file fs.h.

## ◆ cg_unrefs

u_int32_t cg::cg_unrefs

Definition at line 496 of file fs.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ufs/ffs/fs.h